# jgetfields

Get all the fields of a Java object

## Calling Sequence

                fields = jgetfields(object)

## Parameters

object

  A mlist typed _JObj or _JClass or a Scilab variable

fields

  A column of strings

## Description

Retrieve all the fields of a Java object.

## Examples

                   s = "Hello World !"
                   jgetfields(jwrap(s))

## See Also

- jgetmethods

## History

5.5.0
Function introduced. Based on the 'JIMS' module. The main difference in the behavior compared to the JIMS module is that jautoUnwrap is enabled by default.